当前位置:首页 > Python >

You are using pip version 20.2.3; however, version 20.2.4 is available.

发布时间:2020-11-27 10:43:23 作者:佚名 阅读:(217)

今天在使用python的pip安装request的模块时,在执行之后提示You are using pip version 20.2.3; however, version 20.2.4 is available.,原来是因为pip的版本太低了,接下来吾爱编程为大家介绍一下关于pip升级的方法,有需要的小伙伴可以参考一下:

1、错误提示:

D:\Python>pip install request
ERROR: Could not find a version that satisfies the requirement request (from ver
sions: none)
ERROR: No matching distribution found for request
WARNING: You are using pip version 20.2.3; however, version 20.2.4 is available.

You should consider upgrading via the 'd:\program files (x86)\python37\python.ex
e -m pip install --upgrade pip' command.

2、升级命令:

    根据提示我们可以看到已经给了我们升级的提示,所以我们可以直接使用下面的命令升级:

python -m pip install --upgrade pip

    执行结果如下所示:

3、查看当前版本:

D:\Python>pip -V
pip 20.2.4 from d:\program files (x86)\python37\lib\site-packages\pip (python 3.
7)


以上就是吾爱编程为大家介绍的关于You are using pip version 20.2.3; however, version 20.2.4 is available.升级的方法,了解更多相关文章请关注吾爱编程网!

欢迎分享转载→ You are using pip version 20.2.3; however, version 20.2.4 is available.

© 2015-2021 - 吾爱编程网 版权所有 苏ICP备18033726号-1关于我们 - 网站声明 - 联系我们